﻿## The script of the game goes in this file.


init:
    define m = Character(_("Meklit"), color="#b2ba7d")
    define k = Character(_("Kiiran"), color="#6976a0")
    define s = Character(_("Shae Ohk-Qamar"), color="#326a62")
    image kiiran = "lkiiran.png"
    image shae = "lshae.png"
    image meklit = "lmeklit.png"
    image kiiran right = "rkiiran.png"
    image shae right = "rshae.png"
    image meklit right = "rmeklit.png"
    image bg fullroom = "fullroom.png"
    image bg leftwall = "leftwall.png"
    image bg leftwall01 = "leftwall01.png"
    image bg leftwall02 = "leftwall02.png"
    image bg leftwall03 = "leftwall03.png"
    image bg leftwall04 = "leftwall04.png"
    image bg doorwall = "doorwall.png"
    image bg doorwall01 = "doorwall01.png"
    image bg doorwall02 = "doorwall02.png"
    image bg doorwall03 = "doorwall03.png"
    image bg doorwall04 = "doorwall04.png"
    image bg rightwall = "rightwall.png"
    image bg rightwall01 = "rightwall01.png"
    image bg rightwall02 = "rightwall02.png"
    image bg rightwall03 = "rightwall03.png"
    image bg rightwall04 = "rightwall04.png"
    image ASCII 01 = "ASCII01.png"
    image ASCII 02 = "ASCII02.png"
    image bg black = "black.png"
    image bg end = "The End-01.png"


    define flash = Fade(.25, 0.0, .75, color="#fff")

## The game starts here.

label start:

    scene bg black
    with Dissolve(.5)

    $ firstwall = False
    $ secondwall = False
    $ thirdwall = False
    $ meklit_left = False
    $ meklit_door = False
    $ meklit_right = False
    $ shae_left = False
    $ shae_door = False
    $ shae_right = False
    $ kiiran_left = False
    $ kiiran_door = False
    $ kiiran_right = False
    play music "JungleAmbLoop.wav" fadein 3
    "The jungles below were muggy and filled with buzzing insects. Now that you're up in the mountains, though, it's actually gotten quite cold."

    "Nonetheless, the travel is sweaty, and you're glad when your team finds the entrance into the rock, hidden amongst the vines."

    "The hired help sets up camp outside: labourers and scouts, a cook and a teamster. You and the other two expedition leaders head inside the buried structure, as it begins to rain."
    
    show kiiran at left
    with Dissolve(.5)
    show meklit right
    with Dissolve(.5)
    show shae right at right
    with Dissolve(.5)
    stop music fadeout 3
    "--Please choose a character--"
    
    menu:
        "Kiiran, the glib explorer":
            hide meklit
            hide shae
            "Kiiran, the glib explorer."
            scene bg fullroom
            with Dissolve(.5)
            jump character_kiiran
        "Meklit, the mystic spellweaver":
            hide shae
            hide kiiran
            "Meklit, the mystic spellweaver."
            scene bg fullroom
            with Dissolve(.5)
            jump character_meklit
        "Shae Ohk-Qamar, the verbose academic":
            hide meklit
            hide kiiran
            "Shae Ohk-Qamar, the verbose academic."
            scene bg fullroom
            with Dissolve(.5)
            jump character_shae
    
    
label character_kiiran:
    play music "RainCaveLoop.wav" fadein 3
    "Keeping these two alive on this expedition has been hard work; at least in these 'ruins' you don't have to watch for danger from every direction. Just a couple directions."

    "You aren't sure about calling these ruins though. Apart from a couple of intrusive vines winding in from the entrance, the structure is remarkably sound." 

    "After a quick survey to check for traps and pitfalls, you let the others follow you down a long tunnel and into a small room."

    "The light from the lantern doesn't get swallowed up by inky blackness like a natural cave. A relief because light isn't the only thing that can get swallowed when exploring..."
    show kiiran right at right
    with Dissolve(.5)
    k "Stay behind…" 
    hide kiiran
    play sound "WalkCaveVerb-001.wav"
    "You try to caution the others, only to find that the spellweaver Meklit has already moved into the room, muttering to quietly to themself."
    
    "Varsuun was insistent about all of you returning, too. You'd be offended but there are all too many unscrupulous fucks out there happy to take a fool's money and cut his throat."

    "You can't help but notice the traces of other civilizations carved into the walls. Some you'd seen before, but that might just be the nature of the people with the strange proclivity to carve their walls up."

    "Meklit looks at you."
    show meklit at left
    m "Do you recognize any of this?"
    hide meklit

    menu:
        "Affirmative":
            show kiiran right at right
            with Dissolve(.5)
            k "Sure. Sun's a sun, tree's a tree. That's water. Dummy."
            hide kiiran
            with Dissolve(.5)
        "No":
            show kiiran right at right
            with Dissolve(.5)
            k "Does it look like I got much experience looking at pretty cave art? Why don't you do your job and figure it out yourself."
            hide kiiran
            with Dissolve(.5)
        "Ignore them":
            "Idiots always running their mouths when they should just be doing their damn jobs. If they spent half as much time doing what they're told as they do talking about dumb things, we'd be reporting back to Varsuun by now."
    
    "You don't have any idea what this place is, yet."

    "Both of your companions are standing on their own, each in a trance of self-interest. Meklit mumbles something while their hands move slowly in front of themselves."

    "Shae Ohk-Qamar is gibbering on, hands tracing over the shadowy figures on the walls while pointing out architectural features to no one."
    show kiiran right at right
    with Dissolve(.5)

    k "You two stay here and figure out what those carvings are. I'll go check the next room… oh and try not to get into any trouble."
    play sound "WalkCaveVerb-002.wav"
    scene bg doorwall
    with Dissolve(.5)
    
    "This stone around the archway is another oddity. A single piece of black stone with light-catching purple veins throughout that'd been carved into an archway. You'd seen something like this on another expedition. What was it, the settlement of Paarit? The Sunken Library? "

    "You wonder if it matters. Probably not. Same rock in these mountains are found in loads of other places, probably."

    "Still, seems downright wasteful to tuck pretty stone like this in the ass-end of nowhere."

    "Above the arch, a single, strange symbol. You don't know what you're supposed to make of it. Maybe it's a family crest, maybe it's a warning."

    "Cautiously you peer into the next room. A large chamber, far enough across that you can't see the walls, only large columns scattered throughout the chamber."

    "There was an order to them surely but you can't work out which were structural and which were there for some other purpose. Decoration? A hidden mechanism? Defensive vantage point?"
    stop music fadeout 3
    "You take one slow step at a time, waiting for some indication of an animal that'd taken up residence--but it's dead quiet. Even the yammering of your companions seems to fall away."

    "Quiet as it is, you have a gut feeling that something is off. Be extra vigilant, you think. You take another step."

    play music "vision.mp3"
    pause 2
    scene ASCII 01
    with flash
    
    pause 5
    
    "A cave with glittering, rippling walls, blood splatter, and pillars of daylight streaming up and not down. A lascivious slug creature slithered to devour you."
    pause 2

    "This image flashes into your mind and disappears leaving chaos in its wake. You're consumed with vivid memories and visceral feelings, only you're certain that they don't belong to you. They're foreign and fleeting, washing over your being and vanishing into the ether."
    pause 2
    "Nightmares mixed with the carvings on the walls. Faces, animals, mountains, water, fire, trees, all coming faster and faster until it's just light pounding your being into nothing."
    play sound "Bodyfall.wav"
    pause 2
    scene bg fullroom
    with Dissolve(.5)
    play music "tomb01.mp3" fadeout 1
    
    "You jerk awake, reaching for your sleeping knife--but it's gone. Sitting up, waves of nausea hit you and reluctantly you lean back to regain your senses."

    "Having come to on uncomfortable floors with a pounding headache many times, this might be the worst."

    "Your companions stop speaking abruptly to check on you."
    show meklit at left
    with Dissolve(.5)
    m "Oh thank Bano."
    show kiiran right at right
    with Dissolve(.5)
    k "Where's my sleeping knife?"

    m "We thought you might be... stabby."

    k "What did I say about touching my sleeping knife."
    hide meklit
    with Dissolve(.5)
    show shae at left
    with Dissolve(.5)
    s "'That we'd likely get a good stabbing.' Which seems like an odd thing to threaten when you don't have--"

    k "My knife. Now." 
    hide shae
    with Dissolve(.5)
    show meklit at left
    with Dissolve(.5)
    m "It's over here."
    hide meklit
    with Dissolve(.5)
    hide kiiran
    with Dissolve(.5)
    "You sheath your knife and put on your vest which had been neatly folded and placed next to you."
    show shae at left
    with Dissolve(.5)
    s "Do you want to know what happened, oh great adventurer?"

    "You swallow your pride."
    show kiiran right at right
    with Dissolve(.5)
    k "I reckon I hit a pocket of bad air and got knocked out." 
    "You say this despite knowing it isn't true. You know bad air; this wasn't it. Bad air extinguishes lanterns. It comes slow and your vision goes dark."

    "Plus bad air'll kill you and right now you only *feel* like dying."
    
    s "It's worse than that. It feels wrong..."
    hide shae
    with Dissolve(.5)
    show meklit at left
    with Dissolve(.5)
    m "There is power here. The spirit world is close, but it feels unfamiliar."

    k "This is the thing you're supposed to be good at, Spellweaver, can't you..." 
    "You gesture vaguely."

    m "What is that supposed to be?"

    k "Magic."

    m "No. Just no. Like I said, it's an unfamiliar Flow. Perhaps your 'Dreamscape' has intruded into this place."
    hide meklit
    with Dissolve(.5)
    hide kiiran
    with Dissolve(.5)
    "You rise irritably and inspect the walls."
    
    "Which wall do you examine first?"
    $ firstwall = True
    menu:
        "The left-hand wall":
            play sound "WalkCaveVerb-003.wav"
            scene bg leftwall
            with Dissolve(.5)
            $ kiiran_left = True
            "You turn your attention to the left-hand wall. The esoteric carvings don't have obvious interpretations. After your brief vision, you feel like you should let your mind wander over them and see what sticks out."
            jump kiiran_left
        "The wall with the door":
            play sound "WalkCaveVerb-003.wav"
            scene bg doorwall
            with Dissolve(.5)
            $ kiiran_door = True
            "You turn your attention to the wall with the door to the next chamber. The esoteric carvings don't have obvious interpretations. After your brief vision, you feel like you should let your mind wander over them and see what sticks out."
            jump kiiran_door
        "The right-hand wall":
            play sound "WalkCaveVerb-003.wav"
            scene bg rightwall
            with Dissolve(.5)
            $ kiiran_right = True
            "You turn your attention to the right-hand wall. The esoteric carvings don't have obvious interpretations. After your brief vision, you feel like you should let your mind wander over them and see what sticks out."
            jump kiiran_right


label kiiran_transition01:
    
    $ secondwall = True
    "You turn your attention away from the images on that wall, and to the next."
    if kiiran_left:
        menu:
            "The wall with the door":
                play sound "WalkCaveVerb-001.wav"
                scene bg doorwall
                with Dissolve(.5)
                $ kiiran_door = True
                "You turn your attention next to the wall with the door to the next chamber. You look over the images and once again let your mind wander over them."
                jump kiiran_door
            "The right-hand wall":
                play sound "WalkCaveVerb-001.wav"
                scene bg rightwall
                with Dissolve(.5)
                $ kiiran_right = True
                "You turn your attention next to the right-hand wall. You look over the images and once again let your mind wander over them."
                jump kiiran_right
    else:
        if kiiran_door:
            menu:
                "The left-hand wall":
                    play sound "WalkCaveVerb-001.wav"
                    scene bg leftwall
                    with Dissolve(.5)
                    $ kiiran_left = True
                    "You turn your attention next to the left-hand wall. You look over the images and once again let your mind wander over them."
                    jump kiiran_left
                "The right-hand wall":
                    play sound "WalkCaveVerb-001.wav"
                    scene bg rightwall
                    with Dissolve(.5)
                    $ kiiran_right = True
                    "You turn your attention next to the right-hand wall. You look over the images and once again let your mind wander over them."
                    jump kiiran_right
        else:
            menu:
                "The left-hand wall":
                    play sound "WalkCaveVerb-001.wav"
                    scene bg leftwall
                    with Dissolve(.5)
                    $ kiiran_left = True
                    "You turn your attention next to the left-hand wall. You look over the images and once again let your mind wander over them."
                    jump kiiran_left
                "The wall with the door":
                    play sound "WalkCaveVerb-001.wav"
                    scene bg doorwall
                    with Dissolve(.5)
                    $ kiiran_door = True
                    "You turn your attention next to the wall with the door to the next chamber. You look over the images and once again let your mind wander over them."
                    jump kiiran_door
            
        
label kiiran_transition02:
    
    $ thirdwall = True
    if kiiran_left:
        if kiiran_door:
            play sound "WalkCaveVerb-002.wav"
            scene bg rightwall
            with Dissolve(.5)
            "You step back, then turn to the final wall of images."
            jump kiiran_right
        else:
            play sound "WalkCaveVerb-002.wav"
            scene bg doorwall
            with Dissolve(.5)
            "You step back, then turn to the final wall of images."
            jump kiiran_door
    else:
        play sound "WalkCaveVerb-002.wav"
        scene bg leftwall
        with Dissolve(.5)
        "You step back, then turn to the final wall of images."
        jump kiiran_left


label kiiran_left:
    
    scene bg leftwall01
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "Birth":
            "Birth"
        "Summoning":
            "Summoning"
        "Worship":
            "Worship"
        "Cycles":
            "Cycles"
    scene bg leftwall02
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "Entropy":
            "Entropy"
        "Creation":
            "Creation"
        "Ascension":
            "Ascension"
        "Dream":
            "Dream"
    scene bg leftwall03
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "War":
            "War"
        "Void":
            "Void"
        "Mastery":
            "Mastery"
        "Connection":
            "Connection"
    scene bg leftwall04
    with Dissolve(.5)
    pause 2
    show meklit at left
    with Dissolve(.5)
    m "Worship of the sky, or the spirit world beyond."
    hide meklit
    with Dissolve(.5)
    show shae at left
    with Dissolve(.5)
    s "Ugh. Not everything is a spiritual matter! We know they were extremely advanced, wielding great power and influence. Perhaps this symbolizes attainment?"
    hide shae
    with Dissolve(.5)
    "What comes to mind?"
    menu:
        "Ritual":
            "Ritual"
        "Truth":
            "Truth"
        "Ascension":
            "Ascension"
        "Death":
            "Death"
    scene bg leftwall
    with Dissolve(.5)
    show shae at left
    with Dissolve(.5)
    s "What do you think it all means?"
    hide shae
    with Dissolve(.5)
    menu:
        "The birth of and eventual triumph over an evil":
            show kiiran right at right
            with Dissolve(.5)
            k "If that was a big bad evil, it's good thing it ain't around anymore."
        "The creation of the world":
            show kiiran right at right
            with Dissolve(.5)
            k "They were probably trying to make sense of how this rock we're on got made. I don't think it happened that way, but then I don't really care."
        "Various ritual practices":
            show kiiran right at right
            with Dissolve(.5)
            k "Looks like a bunch of nonsense rituals to me. People and their backward ass religions."
        "A redemption story":
            show kiiran right at right
            with Dissolve(.5)
            k "It's redemption. This guy got short shrift and saved everyone anyway. I'd've left 'em."
        "I don't know.":
            show kiiran right at right
            with Dissolve(.5)
            k "It's still just a bunch of nonsense to me."

    scene bg fullroom
    with Dissolve(.5)
    if thirdwall:
        jump kiiran_afterwalls
    else:
        if secondwall:
            jump kiiran_transition02
        else:
            jump kiiran_transition01


label kiiran_door:

    scene bg doorwall01
    with Dissolve(.5)
    pause 2
    show meklit at left
    with Dissolve(.5)
    m "Waves, like the ebb and flow of the spirit world..."
    hide meklit
    with Dissolve(.5)
    "What comes to mind?"
    menu:
        "Void":
            "Void"
        "Creation":
            "Creation"
        "Knowledge":
            "Knowledge"
        "Cycles":
            "Cycles"
    scene bg doorwall02
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "Madness":
            "Madness"
        "Strength":
            "Strength"
        "War":
            "War"
        "Voyagers":
            "Voyagers"
    scene bg doorwall03
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "Revulsion":
            "Revulsion"
        "Life":
            "Life"
        "Fear":
            "Fear"
        "Mastery":
            "Mastery"
    scene bg doorwall04
    with Dissolve(.5)
    pause 2
    show shae at left
    with Dissolve(.5)
    s "The central figure is important. A ruler or great philosopher?"
    hide shae
    with Dissolve(.5)
    "What comes to mind?"
    menu:
        "Entropy":
            "Entropy"
        "Outsiders":
            "Outsiders"
        "Dream":
            "Dream"
        "Truth":
            "Truth"
    scene bg doorwall
    with Dissolve(.5)
    show meklit at left
    m "Well? What do you think?"
    hide meklit
    menu:
        "A map of existence":
            show kiiran right at right
            with Dissolve(.5)
            k "Hang on... what if... what if it's a map."
        "Rifts and the unknowns of the Flows":
            show kiiran right at right
            with Dissolve(.5)
            k "It's rifts and stuff about the Flows. All a bunch of Meklit's nonsense."
        "The creation of life":
            show kiiran right at right
            with Dissolve(.5)
            k "They think that's how life was made? People always want big answers. It's simple two people rub up against each other and..."
        "People worshipping gods":
            show kiiran right at right
            with Dissolve(.5)
            k "It's them worshipping gods. I wonder how that worked out for them..."
        "I don't know.":
            show kiiran right at right
            with Dissolve(.5)
            k "...this is only making my headache worse."

    scene bg fullroom
    with Dissolve(.5)
    if thirdwall:
        jump kiiran_afterwalls
    else:
        if secondwall:
            jump kiiran_transition02
        else:
            jump kiiran_transition01


label kiiran_right:

    scene bg rightwall01
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "Void":
            "Void"
        "Creation":
            "Creation"
        "Knowledge":
            "Knowledge"
        "Cycles":
            "Cycles"
    scene bg rightwall02
    with Dissolve(.5)
    pause 2
    show shae at left
    with Dissolve(.5)
    s "Perhaps this indicates a class system: nobility, and the workers? Or the virtues of effort?"
    hide shae
    with Dissolve(.5)
    "What comes to mind?"
    menu:
        "Madness":
            "Madness"
        "Strength":
            "Strength"
        "War":
            "War"
        "Voyagers":
            "Voyagers"
    scene bg rightwall03
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "Revulsion":
            "Revulsion"
        "Life":
            "Life"
        "Fear":
            "Fear"
        "Mastery":
            "Mastery"
    scene bg rightwall04
    with Dissolve(.5)
    pause 2
    show meklit at left
    with Dissolve(.5)
    m "A ritual to commune with the spirits, perhaps."
    hide meklit
    with Dissolve(.5)
    "What comes to mind?"
    menu:
        "Entropy":
            "Entropy"
        "Outsiders":
            "Outsiders"
        "Dream":
            "Dream"
        "Truth":
            "Truth"
    scene bg rightwall
    with Dissolve(.5)
    show shae at left
    with Dissolve(.5)
    s "What would your interpretation of these images be, Kiiran?"
    hide shae
    with Dissolve(.5)
    menu:
        "The development of civilization":
            show kiiran right at right
            with Dissolve(.5)
            k "It might be them trying to write down their civilization's history. Or something."
        "Funerary rites or death mythology":
            show kiiran right at right
            with Dissolve(.5)
            k "Could be a funeral. For the record, if I die up here with you folk I'm going to make sure I take you with me."
        "Meeting outsiders":
            show kiiran right at right
            with Dissolve(.5)
            k "Strangers show up on the horizon. Probably went great."
        "A war":
            show kiiran right at right
            with Dissolve(.5)
            k "It's a war... Looks like they lost..."
        "I don't know.":
            show kiiran right at right
            with Dissolve(.5)
            k "Maybe we're reading it backwards..."

    scene bg fullroom
    with Dissolve(.5)
    if thirdwall:
        jump kiiran_afterwalls
    else:
        if secondwall:
            jump kiiran_transition02
        else:
            jump kiiran_transition01


label kiiran_afterwalls:

    "You take a step back from the walls."
    show shae at left
    with Dissolve(.5)
    s "Perhaps...what we are seeing now is not all there once was?"
    show kiiran right at right
    with Dissolve(.5)
    k "You mean maybe in a thousand years, things have changed?"
    "Shae glares."
    hide shae
    with Dissolve(.5)
    hide kiiran
    with Dissolve(.5)
    "You know you need answers. You were sent here for a reason, even if you don't know what that is. And going back with no answers would not be looked well upon."

    "Besides, this time you'll be careful not to trip any traps."

    "Standing at the archway you steel yourself against the danger of the room. Casting your lantern in a large sweeping arc you feel the lingering effects of your last encounter in the chamber."
    show kiiran right at right
    with Dissolve(.5)
    k "Ok room. Let's see what you've got." 

    play music "vision.mp3" fadeout 1
    pause 2
    scene ASCII 02
    with flash
    pause 5
    
    "It's too perfect. Neat corners and smooth surfaces. Intricate and tangible as a blade, but on the scale of a city. It's at once frozen in time but teeming with life. A swarm breaks the vision, cutting swaths through your senses. You are overcome."
    pause 2
    "A darkness too deep, too dark to ever exist or allow other things to exist. A void so perfect and it glimmers like a jewel extending from the first to the last from the edge of a knife to the entirety of the sky without stars."
    pause 2
    "You are unstoppered. Your existence is poured out upon the ground running deep into Kelemspar and the centre of creation."
    pause 2
    "Everything, nothing, life and death all in this and every moment. Forever and never."

    scene bg fullroom
    with Dissolve(.5)
    play music "tomb02.mp3" fadeout 1

    show shae at left
    with Dissolve(.5)

    s "You didn't die, again."
    show kiiran right at right
    with Dissolve(.5)
    k "Lucky me." 
    hide shae
    with Dissolve(.5)
    "You wince."
    show meklit at left
    with Dissolve(.5)
    m "What do we do now?"

    k "We stop talking until my brain stops wanting to do a murder."
    hide meklit
    with Dissolve(.5)
    hide kiiran
    with Dissolve(.5)
    "Your whole being hurts. It's worse this time, and you have the distinct impression that you shouldn't chance a third attempt. Varsuun is just going to have to be satisfied knowing we found a place that doesn't much want to be found."
    "Shae crosses her arms."
    show shae at left
    with Dissolve(.5)
    s "So what do we report to our patron?"

    hide shae
    with Dissolve(.5)

    menu:
        "It's a map":
            "You see the landmarks, the towns of people, and a legend. Who made it and what it's for is a mystery. One that, despite your cavalier attitude, you can't unravel. This encounter, however brief, hangs heavy on you."
            "You wonder if the your anticipated profits will be enough to drown the memory in ale. Perhaps one day the mystery of the map will be unravelled and they'll need someone to lead another expedition. For now, though, your head hurts far too much and you have a long journey home."
        "It's a tomb":
            "The carvings in the walls were the exploits of a great hero laid to rest. Surely one better equipped with right magic could get beyond the incapacitating Dreamscape intrusion and discover more about the civilization."
            "You will not be this person though. You will be paid handsomely for returning your fellow adventurers safely and you resolve that this tomb should be undisturbed. Much like the hero in his eternal slumber, you value life and rest."
        "It's a shrine":
            "You can only imagine the kinds of arcane rituals the murals depicted. However, your twice rebuffed advance into the shrine means that whatever magical purpose the place has is too dangerous. The shrine has been there for many, many lifetimes."
            "One thing is certain: you will not be shortening your lifetime in pursuit of its secrets--at least so long as the money Varsuun gave you lasts."
        "It's a weapon":
            "Pain, suffering, great destruction. It is clear that a great power resides in that mountain. Ancient civilizations have risen and fallen in the time since it was created, and you can't help but wonder if there's a connection."
            "Regardless, the knowledge of this place is clearly best left to more powerful, and just, beings."

    scene bg black
    with Dissolve(.5)

    "There is nothing left to do, here. The inner chamber will not be breached; perhaps it's for the best. But your job is done, the structure found, something learned. You will return to the islands of the Thron Sea to report to your patron."
    "The rest will be left in his hands, the memory of your strange dreams and the images carved into the stone all you take with you. Mysteries of the past. Now, you look to the future."


    jump end





    
label character_meklit:
    
    play music "RainCaveLoop.wav" fadein 3
    "After a short tunnel, it immediately opens up into some sort of antechamber. An ornamental door leads further into the structure, while esoteric images are carved into the walls here, bordered by black stone."
    play sound "WalkCaveVerb-001.wav"
    "The surly survivalist Kiiran has gone ahead to look for traps while Shae Ohk-Qamar the archaeologist hangs back. You wonder what this place is, now that you've found it. A shrine, maybe, a relic of some ancient religion. Very ancient, by the looks of it."

    "There is definitely magic here. You can feel the pulses of the spirit world. But it's not your part of the spirit world; not the skies and light of Bano. It's something else, here. You frown."

    "Shae Ohk-Qamar is examining the doorways, rock walls, and the strange black marble."
    
    show shae at left
    with Dissolve(.5)
    
    s "This room is certainly old, much older than the tunnel we passed through. The black stone is a hallmark of the Ancient Ones, the Precursor race. This must be what Varsuun hoped we'd find."
    
    hide shae
    with Dissolve(.5)
    show kiiran at left
    with Dissolve(.5)
    
    k "You think he knew this was here? Mountains are *filled* with old shit."
    hide kiiran
    with Dissolve(.5)
    menu:
        "How could he?":
            show meklit right at right
            with Dissolve(.5)
            m "How could he know about this one specifically? And if he did, why didn't he tell us where to come?"
            hide meklit
            with Dissolve(.5)
            "Shae Ohk-Qamar nods."
            show shae at left
            with Dissolve(.5)
            s "I meant only that he clearly thought there was something worth finding."
            hide shae
            with Dissolve(.5)
        "He knows what he's about.":
            show meklit right at right
            with Dissolve(.5)
            m "He knows what he's doing. He may very well have known this was here, even if he didn't know exactly where."
            hide meklit
            with Dissolve(.5)
            show kiiran at left
            with Dissolve(.5)
            k "Let's hope we find what he's looking for, then."
            hide kiiran
            with Dissolve(.5)
    
    "This shrine is certainly interesting; ancient, as Shae Ohk-Qamar pointed out. The images on the walls are fascinating, but more fascinating is the doorway leading deeper."
    play sound "WalkCaveVerb-002.wav"
    scene bg doorwall
    with Dissolve(.5)
    
    "Surrounded by that strange ornamental black marble. You've seen that marble before--the base of Sentry Tower back in Mumbana is made out of it. You wonder what that means."

    "And an arcane symbol above it, one you've never seen before. Not a traditional magical rune, at least that you know of. Beyond the doorway, in the darkness, you can just make out columns in the vast space."

    show meklit right at right
    with Dissolve(.5)
    m "I sense the presence of the Flows beyond this room. I will see what I can find there--you two stay here, in case it is unstable."
    hide meklit
    with Dissolve(.5)
    show kiiran at left
    with Dissolve(.5)
    k "Great. Instability. Love that."
    hide kiiran
    with Dissolve(.5)
    stop music fadeout 3
    "You ignore Kiiran, and slowly approach the large black doorway. You reach out to touch the spirit world--the Flows, as the northerners call it. Trust them to try to categorize everything."

    "There is power here. The spirit world is close, but it feels unfamiliar to you. You're not sure what to expect. You enter the next chamber cautiously."
    play music "vision.mp3"
    pause 2
    scene ASCII 01
    with flash
    
    pause 5
    "Images force their way into your mind. Dreams and visions, leaving chaotic, jumbled thoughts in their wake, like false memories in the moments after first waking. These are not products of your own dreamscape, though. A glimpse into the spirit world, unbidden."
    pause 3

    "Doorways and rooms beyond, dark chambers, the images of the vision mixing with the carvings on the wall, swirling and merging and becoming something else, more stars than you've ever seen, symbols, ideas, your mind aflame."
    play sound "Bodyfall.wav"
    pause 2
    scene bg fullroom
    with Dissolve(.5)
    play music "tomb01.mp3" fadeout 1
    "Your vision is blurred as you open your eyes. The voices of Shae Ohk-Qamar and Kiiran come to you as if through a haze. It takes you a moment to parse the words."

    k "...think they're dead?"

    s "Of course not. It was merely a brief loss of consciousness. Probably due to the magical influence they mentioned, though they might have more insight into the specifics."

    k "If they die do we get their cut?"

    s "Morbid. ...But practical."

    k "So... not going into that next room, then?"

    s "Not until we know more, at least. A magical fluctuation like that could be deadly if experienced a second time. From what I can surmise."

    "You woozily sit up as your thoughts resettle themselves. A vision from the spirit world, a dream. What did it mean? Why did it happen?"

    "Kiiran helps you stand."
    show kiiran at left
    with Dissolve(.5)
    k "What happened?" 
    show meklit right at right
    with Dissolve(.5)

    m "A dream vision. The Flows are strong in that room--the Dreamscape, I would guess. Not my specialty."

    k "Boss sent a defective spellweaver?"

    "You glare at him."
    m "I can feel all elements of the spirit world, even if I cannot control them. Which is more than I can say for you."

    "He nods."
    k "Solid comeback. Good effort."
    hide kiiran
    with Dissolve(.5)
    show shae at left
    with Dissolve(.5)
    s "*Well,* if we cannot move further into this complex, our options are limited. Perhaps the carvings in this chamber can give us some insight."

    m "Yes. With some rest, I may be able to learn more about the next chamber. But until then--wall carvings."
    
    hide shae
    with Dissolve(.5)
    hide meklit
    with Dissolve(.5)
    
    "Which wall do you examine first?"
    $ firstwall = True
    menu:
        "The left-hand wall":
            play sound "WalkCaveVerb-003.wav"
            scene bg leftwall
            with Dissolve(.5)
            $ meklit_left = True
            "You turn your attention to the left-hand wall. The esoteric carvings don't have obvious interpretations. After your brief vision, you feel like you should let your mind wander over them and see what sticks out."
            jump meklit_left
        "The wall with the door":
            play sound "WalkCaveVerb-003.wav"
            scene bg doorwall
            with Dissolve(.5)
            $ meklit_door = True
            "You turn your attention to the wall with the door to the next chamber. The esoteric carvings don't have obvious interpretations. After your brief vision, you feel like you should let your mind wander over them and see what sticks out."
            jump meklit_door
        "The right-hand wall":
            play sound "WalkCaveVerb-003.wav"
            scene bg rightwall
            with Dissolve(.5)
            $ meklit_right = True
            "You turn your attention to the right-hand wall. The esoteric carvings don't have obvious interpretations. After your brief vision, you feel like you should let your mind wander over them and see what sticks out."
            jump meklit_right

label meklit_transition01:
    
    $ secondwall = True
    "You turn your attention away from the images on that wall, and to the next."
    if meklit_left:
        menu:
            "The wall with the door":
                play sound "WalkCaveVerb-001.wav"
                scene bg doorwall
                with Dissolve(.5)
                $ meklit_door = True
                "You turn your attention next to the wall with the door to the next chamber. You look over the images and once again let your mind wander over them."
                jump meklit_door
            "The right-hand wall":
                play sound "WalkCaveVerb-001.wav"
                scene bg rightwall
                with Dissolve(.5)
                $ meklit_right = True
                "You turn your attention next to the right-hand wall. You look over the images and once again let your mind wander over them."
                jump meklit_right
    else:
        if meklit_door:
            menu:
                "The left-hand wall":
                    play sound "WalkCaveVerb-001.wav"
                    scene bg leftwall
                    with Dissolve(.5)
                    $ meklit_left = True
                    "You turn your attention next to the left-hand wall. You look over the images and once again let your mind wander over them."
                    jump meklit_left
                "The right-hand wall":
                    play sound "WalkCaveVerb-001.wav"
                    scene bg rightwall
                    with Dissolve(.5)
                    $ meklit_right = True
                    "You turn your attention next to the right-hand wall. You look over the images and once again let your mind wander over them."
                    jump meklit_right
        else:
            menu:
                "The left-hand wall":
                    play sound "WalkCaveVerb-001.wav"
                    scene bg leftwall
                    with Dissolve(.5)
                    $ meklit_left = True
                    "You turn your attention next to the left-hand wall. You look over the images and once again let your mind wander over them."
                    jump meklit_left
                "The wall with the door":
                    play sound "WalkCaveVerb-001.wav"
                    scene bg doorwall
                    with Dissolve(.5)
                    $ meklit_door = True
                    "You turn your attention next to the wall with the door to the next chamber. You look over the images and once again let your mind wander over them."
                    jump meklit_door
            
        
label meklit_transition02:
    
    $ thirdwall = True
    if meklit_left:
        if meklit_door:
            play sound "WalkCaveVerb-002.wav"
            scene bg rightwall
            with Dissolve(.5)
            "You step back, then turn to the final wall of images."
            jump meklit_right
        else:
            play sound "WalkCaveVerb-002.wav"
            scene bg doorwall
            with Dissolve(.5)
            "You step back, then turn to the final wall of images."
            jump meklit_door
    else:
        play sound "WalkCaveVerb-002.wav"
        scene bg leftwall
        with Dissolve(.5)
        "You step back, then turn to the final wall of images."
        jump meklit_left


label meklit_left:
    
    scene bg leftwall01
    with Dissolve(.5)
    pause 2
    show kiiran at left
    with Dissolve(.5)
    k "Looks like a good time if you ask me."
    hide kiiran
    with Dissolve(.5)
    "What comes to mind?"
    menu:
        "Birth":
            "Birth"
        "Summoning":
            "Summoning"
        "Worship":
            "Worship"
        "Cycles":
            "Cycles"
    scene bg leftwall02
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "Entropy":
            "Entropy"
        "Creation":
            "Creation"
        "Ascension":
            "Ascension"
        "Dream":
            "Dream"
    scene bg leftwall03
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "War":
            "War"
        "Void":
            "Void"
        "Mastery":
            "Mastery"
        "Connection":
            "Connection"
    scene bg leftwall04
    with Dissolve(.5)
    pause 2
    show shae at left
    with Dissolve(.5)
    s "We know they were extremely advanced, wielding great power and influence. Perhaps this symbolizes attainment?"
    hide shae
    with Dissolve(.5)
    "What comes to mind?"
    menu:
        "Ritual":
            "Ritual"
        "Truth":
            "Truth"
        "Ascension":
            "Ascension"
        "Death":
            "Death"
    scene bg leftwall
    with Dissolve(.5)
    show shae at left
    with Dissolve(.5)
    s "What do you think it all means?"
    hide shae
    with Dissolve(.5)
    menu:
        "The birth of and eventual triumph over an evil":
            show meklit right at right
            with Dissolve(.5)
            m "It seems like a powerful evil spirit being birthed or created, then a war against it, and eventual triumph..."
        "The creation of the world":
            show meklit right at right
            with Dissolve(.5)
            m "The creation of the world from the forge of the spirit world. Chaos and order come together into a unified whole."
        "Various ritual practices":
            show meklit right at right
            with Dissolve(.5)
            m "Clearly depictions or instructions for various ritual practices among their people..."
        "Entering the spirit world":
            show meklit right at right
            with Dissolve(.5)
            m "It seems like depictions of the thinning barrier between our world and the spirit world, and the eventual merging of the two..."
        "I don't know.":
            show meklit right at right
            with Dissolve(.5)
            m "I don't think we have enough information to properly understand these images..."

    scene bg fullroom
    with Dissolve(.5)
    if thirdwall:
        jump meklit_afterwalls
    else:
        if secondwall:
            jump meklit_transition02
        else:
            jump meklit_transition01


label meklit_door:

    scene bg doorwall01
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "Void":
            "Void"
        "Creation":
            "Creation"
        "Knowledge":
            "Knowledge"
        "Cycles":
            "Cycles"
    scene bg doorwall02
    with Dissolve(.5)
    pause 2
    show kiiran at left
    with Dissolve(.5)
    k "Are those stars? Moons? More than are in our sky..."
    hide kiiran
    with Dissolve(.5)
    "What comes to mind?"
    menu:
        "Madness":
            "Madness"
        "Strength":
            "Strength"
        "War":
            "War"
        "Voyagers":
            "Voyagers"
    scene bg doorwall03
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "Revulsion":
            "Revulsion"
        "Life":
            "Life"
        "Fear":
            "Fear"
        "Mastery":
            "Mastery"
    scene bg doorwall04
    with Dissolve(.5)
    pause 2
    show shae at left
    with Dissolve(.5)
    s "The central figure is important. A ruler or great philosopher?"
    hide shae
    with Dissolve(.5)
    "What comes to mind?"
    menu:
        "Entropy":
            "Entropy"
        "Outsiders":
            "Outsiders"
        "Dream":
            "Dream"
        "Truth":
            "Truth"
    scene bg doorwall
    with Dissolve(.5)
    show kiiran at left
    k "Well? What does it mean?"
    hide kiiran
    menu:
        "A map of existence":
            show meklit right at right
            with Dissolve(.5)
            m "Maybe this is a map of some kind... The connection between our world and the spirit world, and everything beyond..."
        "Rifts and the unknowns of the Flows":
            show meklit right at right
            with Dissolve(.5)
            m "I see rifts into the spirit world, the waves of the Flows, and the strange unknowns beyond."
        "The creation of life":
            show meklit right at right
            with Dissolve(.5)
            m "It is the story from the chaos of the endless sky before creation through to the creation of life and the endless cycle."
        "Spirits bringing enlightenment to the people":
            show meklit right at right
            with Dissolve(.5)
            m "Perhaps it depicts the beings of the spirit world bringing enlightenment to the Precursors, teaching them their magic."
        "I don't know.":
            show meklit right at right
            with Dissolve(.5)
            m "There's not enough context to understand these... If only we could get further into the complex."

    scene bg fullroom
    with Dissolve(.5)
    if thirdwall:
        jump meklit_afterwalls
    else:
        if secondwall:
            jump meklit_transition02
        else:
            jump meklit_transition01


label meklit_right:

    scene bg rightwall01
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "Void":
            "Void"
        "Creation":
            "Creation"
        "Knowledge":
            "Knowledge"
        "Cycles":
            "Cycles"
    scene bg rightwall02
    with Dissolve(.5)
    pause 2
    show shae at left
    with Dissolve(.5)
    s "Perhaps this indicates a class system: nobility, and the workers? Or the virtues of effort?"
    hide shae
    with Dissolve(.5)
    "What comes to mind?"
    menu:
        "Madness":
            "Madness"
        "Strength":
            "Strength"
        "War":
            "War"
        "Voyagers":
            "Voyagers"
    scene bg rightwall03
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "Revulsion":
            "Revulsion"
        "Life":
            "Life"
        "Fear":
            "Fear"
        "Mastery":
            "Mastery"
    scene bg rightwall04
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "Entropy":
            "Entropy"
        "Outsiders":
            "Outsiders"
        "Dream":
            "Dream"
        "Truth":
            "Truth"
    scene bg rightwall
    with Dissolve(.5)
    show shae at left
    with Dissolve(.5)
    s "What would your interpretation of these images be, Meklit?"
    hide shae
    with Dissolve(.5)
    menu:
        "The development of civilization":
            show meklit right at right
            with Dissolve(.5)
            m "It seems to be a coming-together, aspects of civilization and cooperation. Perhaps the first."
        "Funerary rites or death mythology":
            show meklit right at right
            with Dissolve(.5)
            m "These are darker images, likely depictions of funerary rituals or stories about death and the afterlife..."
        "Meeting outsiders":
            show meklit right at right
            with Dissolve(.5)
            m "These are meetings. Outsiders, beings of the spirit world, meeting with these people. Perhaps not always in peace..."
        "A calamity":
            show meklit right at right
            with Dissolve(.5)
            m "Something happened, here. Conflict, and then... a calamity. Something that shook the spirit world itself."
        "I don't know.":
            show meklit right at right
            with Dissolve(.5)
            m "I couldn't say what these mean. Perhaps the spirit world has more answers..."

    scene bg fullroom
    with Dissolve(.5)
    if thirdwall:
        jump meklit_afterwalls
    else:
        if secondwall:
            jump meklit_transition02
        else:
            jump meklit_transition01


label meklit_afterwalls:

    "You take a step back from the walls. Ultimately, there's no way to know for sure what these images could mean. There's only one way to get real answers."
    
    show shae at left
    with Dissolve(.5)
    s "It is the same as other Precursor ruins...consistent figures, and style, but no discernable language. Very frustrating."
    hide shae
    with Dissolve(.5)
    show meklit right at right
    with Dissolve(.5)
    m "I'm going to try the next room again."

    show kiiran at left
    with Dissolve(.5)
    k "You sure?"

    hide kiiran
    with Dissolve(.5)
    show shae at left
    with Dissolve(.5)
    s "It will certainly give us more data, no matter the results."
    hide shae
    with Dissolve(.5)
    show kiiran at left
    with Dissolve(.5)

    k "And if they die this time?"
    hide kiiran
    with Dissolve(.5)
    show shae at left
    with Dissolve(.5)
    s "Still more data. And we can split their share."
    hide shae
    with Dissolve(.5)

    "You sigh." 
    m "If I go in understanding what's coming, and opening myself to the spirit world, then I may be able to exert some influence over it. I've studied with witches and witch doctors alike. Great Bano may have no influence here, but that doesn't mean I don't."

    "You reach out to the Flows once more. Through the edges of the spirit world. You feel the skies of Bano's great realm like waves upon your soul, the light filling you up."

    "You open your mind to the visions, and fill your head with a sense of peace, of acceptance, of serenity. You step through the dark doorway once more, looking for answers."
    play music "vision.mp3" fadeout 1
    pause 2
    scene ASCII 02
    with flash
    pause 5
    
    "Stranger images, this time. Shapes and ideas. Is the spirit world unravelling? Or is it your own mind? No, the spirits simply exist outside your comprehension. Dreams that seem perfectly normal in sleep and madness in waking."
    pause 3
    "Splatters and faces, voices speaking to you in words you do not know. Eyes, mouths, whispers, friends, safety and danger all swirled into each other. You are left with feelings you cannot define, gasping as you wake."
    play sound "Bodyfall.wav"
    pause 2
    scene bg fullroom
    with Dissolve(.5)
    play music "tomb02.mp3" fadeout 1
    show kiiran at left
    with Dissolve(.5)

    k "Yeah, that looked like it worked great."
    hide kiiran
    with Dissolve(.5)
    "Your head pounds. Your muscles ache like you've been sleeping on rocks for weeks. The spirits here are not kind. It felt... angry. Torn. A rending in the fabric of the world."
    show meklit right at right
    with Dissolve(.5)
    m "I do not think we can venture further."
    show kiiran at left
    with Dissolve(.5)
    k "Yeah, I got that."
    hide kiiran
    with Dissolve(.5)
    show shae at left
    with Dissolve(.5)
    s "Another vision?"

    m "Yes. There is power here, but I'm not convinced it's meant to be here."
    hide shae
    with Dissolve(.5)
    show kiiran at left
    with Dissolve(.5)
    k "Well, that was a quick end to this expedition."
    hide kiiran
    with Dissolve(.5)
    show shae at left
    with Dissolve(.5)
    s "It's not nothing. We know this dates to the Precursors. That symbol above the next chamber may appear elsewhere. And we have these images."
    hide shae
    with Dissolve(.5)
    show kiiran at left
    with Dissolve(.5)
    k "So what do we tell the boss?"
    hide kiiran
    with Dissolve(.5)

    menu:
        "It's a map":
            "It's a map--but not a conventional one. You see a map of all of existence, beyond the world of mortals. Spirits and Flows and stars innumerable. What exactly it depicts is a mystery: the context necessary, the meanings of the legend, are lost."
            "Despite your best efforts, you're unable to discern more than that. But perhaps your noble benefactor has the means... You wonder at the expanse of the spirit world that mortals still have not touched."
        "It's a tomb":
            "It's clear that a great civilization created this place, in the earliest days of the world. The carvings in the walls are the exploits of myth and legend, creation and trial." 
            "This place is a memory of that civilization, those people; you can only surmise that beyond the next chamber these people rest still. The spirit world is strong here. It is worthy of study, perhaps, but also worthy of respect."
        "It's a shrine":
            "Rituals, religious practices, spirits, and outsiders. And a strong connection to the spirit world beyond. This must be a shrine of some kind, to whatever gods or creators these people followed."
            "Its full purpose will remain a mystery, but it is certainly a place of deep connection to the worlds beyond the mortal one, the acts that brought civilization together, and a belief in a brighter future. You wonder if the world has found that brighter future; you wonder what they would think of you here, now."
        "It's a prison":
            "You see indications of the Void in this place, the emptiness beyond the spirit world. Rituals and battles, powerful things coming together. Something is imprisoned here, and it is best left alone." 
            "Your dreams will haunt you, but it's best Varsuun knows not to tamper with this place. You only hope whatever wards are set here will hold."

    scene bg black
    with Dissolve(.5)

    "There is nothing left to do, here. The inner chamber will not be breached; perhaps it's for the best. But your job is done, the structure found, something learned. You will return to the islands of the Thron Sea to report to your patron."
    "The rest will be left in his hands, the memory of your strange dreams and the images carved into the stone all you take with you. Mysteries of the past. Now, you look to the future."


    jump end












label character_shae:

    play music "RainCaveLoop.wav" fadein 3
    
    "After a short tunnel of rough rock, you see a sturdy ornamental doorway which leads further into the structure. You can't tell for sure yet, but it appears to be Precursor architecture; it is certainly ancient."

    "After Kiiran cautiously crossed the threshold, checking for animals and traps, your mage companion, Meklit, followed, leaving you alone in the tunnel."

    "You can barely contain your excitement at what awaits you inside, but before continuing, you pause to examine the doorway more closely."

    "The deftly etched architrave has nothing figurative on it, only shifting, parallel geometric grooves; you've seen these before in other Precursor structures. You're optimistic."

    play sound "WalkCaveVerb-001.wav"
    
    "As you move fully into the room, in which your colleagues have set a lantern at the center for light, you see the gorgeous symbolic carvings which adorn all of the walls save for the one you just passed through."

    "Now you have no doubt that this was built by the ancient Precursors. You would know those tall thin figures anywhere, and the black marble framing the doorway opposite you."

    "You briefly imagine what wonders this place might hold, what marvels await you further inside, and if they still function. No; you're getting ahead of yourself."

    "This antechamber, with its sculpted murals, resembles other Precursor ruins of social importance--courts, markets, perhaps a temple (if they even had a religion)--but in all honesty, very little is known for certain about their culture and context."

    "A new discovery could upend everything you and the world knows!"
     
    "You notice Meklit is standing near the center of the room, doing... something magical. 'Communing,' it looks like. They frown deeply."
    show meklit at left
    with Dissolve(.5)
    m "There is magic at work here, the spirit world is close by, but it is... unfamiliar to me. It seems... more ambiguous, in flux..."
    hide meklit
    with Dissolve(.5)
    show kiiran at left
    with Dissolve(.5)
    k "Well, that's great. Yes to magic, but our mage doesn't know what kind?" 

    "Kiiran then turns to you."

    k "Shae, please tell me you know what this place is. Have we found what we're looking for?"
    hide kiiran
    with Dissolve(.5)


    menu:
        "This has to be it!":
            show shae right at right
            with Dissolve(.5)
            s "Varsuun surely sent us to find this; or, at least, what we've found is certainly worth studying and reporting back about. These are ruins of the ancient Precursors."
            "Kiiran breathes a sigh of relief."
            show kiiran at left
            with Dissolve(.5)
            k "Good. Now all I have to do to get paid is keep you two alive." 
            "But Meklit looks unconvinced, perhaps still concerned about the magic."
            hide kiiran
            with Dissolve(.5)
            hide shae
            with Dissolve(.5)
        "This may be a place of social importance":
            show shae right at right
            with Dissolve(.5)
            s "I believe this place held an important social function, like a forum or court. Why else present the visitor with narrative murals, before they proceed? In my dissertation I postulated--"
            "Meklit tilts their head, interrupting."
            show meklit at left
            with Dissolve(.5)
            m "Given the presence of the spirit world, is it not possible that this is a religious or ritual site?"
            s "It's unlikely. They were an enlightened and practical people, like we El-Shaera, but it's certainly not impossible. There is much we don't know about them."
            hide meklit
            with Dissolve(.5)
            hide shae
            with Dissolve(.5)

    "The passageway to the next room is framed by the distinctive black marble that was first used to identify Precursor architecture centuries ago (by an El-Shaera, of course). This architrave is ornate, too, but quite different to the entrance, and in a different material."

    "The same marble borders the top and bottom of the murals."
    show shae right at right
    with Dissolve(.5)
    s "Note the marble borders. The next room and the murals *must* be connected conceptually, as well as physically."
    hide shae
    with Dissolve(.5)
    "You want to take it slow, closely examining the reliefs on the wall, but you feel... called... to enter the next room. It's almost as if your hike and diligence with the first doorway exhausted all your patience, and now you're awash in giddy impulsiveness."

    "You grin ear to ear."
    show shae right at right
    with Dissolve(.5)
    s "Someone should investigate the next room. I volunteer! ...If you two want to remain here and examine the walls further, I'll be back soon." 
    hide shae
    with Dissolve(.5)
    "Kiiran gives a thumbs up, indicating that he's already checked for traps at the doorway. Meklit silently nods their head."
    
    show meklit at left
    with Dissolve(.5)
    m "Be careful."

    play sound "WalkCaveVerb-002.wav"
    scene bg doorwall
    with Dissolve(.5)
    
    "There is a peculiar symbol directly above the door, one you've never seen before. It stands apart, physically, and stylistically, from the rest of the vestibule's images. Beyond the threshold, darkness, and a sense of vastness."
    show shae right at right
    with Dissolve(.5)
    s "Don't worry, I won't go farther than the next room."
    "You raise your lantern and proceed."

    play music "vision.mp3"
    pause 2
    scene ASCII 01
    with flash
    
    pause 5
    "The room is so dark, swallowing your lantern's light effortlessly. You feel swallowed, too; digested; consumed; your body fertilizer for the fruits of your mind's eye. Interesting."
    pause 2

    "You thought for a brief moment you saw a large room. A small theatre. Post and lintel construction. Infinite space between each pillar. No. no. Not infinite. That's what you're seeing now. *E V E R Y T H I N G* ...and nothing. What's the point if you cannot contain--"
    pause 2
    "You were going forward. But now it's backward. Back in the antechamber. Vestibule. Portico. Foyer. Narthex. The glyphs in the murals dance for you joyously. You smile while crying."
    
    play sound "Bodyfall.wav"
    pause 2
    scene bg fullroom
    with Dissolve(.5)
    play music "tomb01.mp3" fadeout 1
    
    "You become aware--slowly, gradually--that you are lying flat on your back in the dirt. Very undignified. There's a ringing in your ears, or maybe it's in your brain. Either way: not good. Then: words. Indistinct at first, becoming clear."

    k "...think she'll still be as smart when she comes to?" 

    m "Since you were hired to keep us safe, I hope so... for your sake. I *did* tell her to be careful."

    k "You don't really think Varsuun would blame me if she's not all there, right? I don't want to lose my share over this."

    "Then, you remember the dream--the vision?--you had. Or... Whatever that was. A broken device malfunctioning and knocking you out?"

    m "The spirit world must have touched her. The Dreamscape, I would guess; not my specialty. I felt it only briefly when she collapsed."

    k "Boss sent a defective spellweaver?"

    m "No. I can feel *all* elements of the spirit world, even if I cannot control them. That is more than I can say for you."

    k "Solid comeback. Good effort."

    "You decide that you're ready to speak, and open your mouth to recount what you witnessed. Unfortunately, your mouth only manages to produce mumbles."
    show shae right at right
    with Dissolve(.5)
    s "Uhhhhh-- I...Thhhhhhhhh-th-think...thhhhhhhaaaa..."

    "Meklit punctuates your gibberish."
    m "She stirs."

    s "...had...Vision? Pain. Ohhh--" 
    "You paw feebly at your throbbing head."

    k "Shit. Maybe she really is damaged goods."

    "You sit up defiantly, almost fall over, remain upright, and finally enunciate."
    s "I'm still all here."
    "You hope."
    s "And if I weren't, it absolutely would have been your fault." 
    "You glower. Not by choice."
    show meklit at left
    with Dissolve(.5)
    m "You said 'vision.' Did you have one? What did you see?"

    "You pause for a moment, considering whether you want to define what happened as a vision."
    s "Perhaps." 
    m "At the very least, the magics in that room are dangerous; they could be deadly. We should avoid that room for now. The spirit world may lift its touch."
    hide meklit
    with Dissolve(.5)
    show kiiran at left
    with Dissolve(.5)
    k "Or your head could explode the next time you--"
    s "*Well,* if we cannot move further into this complex, our options are limited. Perhaps the carvings in this chamber can give us some insight. We should focus our efforts here for now."
    hide kiiran
    with Dissolve(.5)
    hide shae
    with Dissolve(.5)
    
    "Which wall do you examine first?"
    $ firstwall = True
    menu:
        "The left-hand wall":
            play sound "WalkCaveVerb-003.wav"
            scene bg leftwall
            with Dissolve(.5)
            $ shae_left = True
            "You turn your attention to the left-hand wall. The esoteric carvings don't have obvious interpretations. After your brief vision, you feel like you should let your mind wander over them and see what sticks out."
            jump shae_left
        "The wall with the door":
            play sound "WalkCaveVerb-003.wav"
            scene bg doorwall
            with Dissolve(.5)
            $ shae_door = True
            "You turn your attention to the wall with the door to the next chamber. The esoteric carvings don't have obvious interpretations. After your brief vision, you feel like you should let your mind wander over them and see what sticks out."
            jump shae_door
        "The right-hand wall":
            play sound "WalkCaveVerb-003.wav"
            scene bg rightwall
            with Dissolve(.5)
            $ shae_right = True
            "You turn your attention to the right-hand wall. The esoteric carvings don't have obvious interpretations. After your brief vision, you feel like you should let your mind wander over them and see what sticks out."
            jump shae_right

label shae_transition01:
    
    $ secondwall = True
    "You turn your attention away from the images on that wall, and to the next."
    if shae_left:
        menu:
            "The wall with the door":
                play sound "WalkCaveVerb-001.wav"
                scene bg doorwall
                with Dissolve(.5)
                $ shae_door = True
                "You turn your attention next to the wall with the door to the next chamber. You look over the images and once again let your mind wander over them."
                jump shae_door
            "The right-hand wall":
                play sound "WalkCaveVerb-001.wav"
                scene bg rightwall
                with Dissolve(.5)
                $ shae_right = True
                "You turn your attention next to the right-hand wall. You look over the images and once again let your mind wander over them."
                jump shae_right
    else:
        if shae_door:
            menu:
                "The left-hand wall":
                    play sound "WalkCaveVerb-001.wav"
                    scene bg leftwall
                    with Dissolve(.5)
                    $ shae_left = True
                    "You turn your attention next to the left-hand wall. You look over the images and once again let your mind wander over them."
                    jump shae_left
                "The right-hand wall":
                    play sound "WalkCaveVerb-001.wav"
                    scene bg rightwall
                    with Dissolve(.5)
                    $ shae_right = True
                    "You turn your attention next to the right-hand wall. You look over the images and once again let your mind wander over them."
                    jump shae_right
        else:
            menu:
                "The left-hand wall":
                    play sound "WalkCaveVerb-001.wav"
                    scene bg leftwall
                    with Dissolve(.5)
                    $ shae_left = True
                    "You turn your attention next to the left-hand wall. You look over the images and once again let your mind wander over them."
                    jump shae_left
                "The wall with the door":
                    play sound "WalkCaveVerb-001.wav"
                    scene bg doorwall
                    with Dissolve(.5)
                    $ shae_door = True
                    "You turn your attention next to the wall with the door to the next chamber. You look over the images and once again let your mind wander over them."
                    jump shae_door
            
        
label shae_transition02:
    
    $ thirdwall = True
    if shae_left:
        if shae_door:
            play sound "WalkCaveVerb-002.wav"
            scene bg rightwall
            with Dissolve(.5)
            "You step back, then turn to the final wall of images."
            jump shae_right
        else:
            play sound "WalkCaveVerb-002.wav"
            scene bg doorwall
            with Dissolve(.5)
            "You step back, then turn to the final wall of images."
            jump shae_door
    else:
        play sound "WalkCaveVerb-002.wav"
        scene bg leftwall
        with Dissolve(.5)
        "You step back, then turn to the final wall of images."
        jump shae_left


label shae_left:
    
    scene bg leftwall01
    with Dissolve(.5)
    pause 2
    show kiiran at left
    with Dissolve(.5)
    k "Looks like a good time if you ask me."
    hide kiiran
    with Dissolve(.5)
    "What comes to mind?"
    menu:
        "Birth":
            "Birth"
        "Summoning":
            "Summoning"
        "Worship":
            "Worship"
        "Cycles":
            "Cycles"
    scene bg leftwall02
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "Entropy":
            "Entropy"
        "Creation":
            "Creation"
        "Ascension":
            "Ascension"
        "Dream":
            "Dream"
    scene bg leftwall03
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "War":
            "War"
        "Void":
            "Void"
        "Mastery":
            "Mastery"
        "Connection":
            "Connection"
    scene bg leftwall04
    with Dissolve(.5)
    pause 2
    show meklit at left
    with Dissolve(.5)
    m "Worship of the sky, or the spirit world beyond."
    hide meklit
    with Dissolve(.5)
    "What comes to mind?"
    menu:
        "Ritual":
            "Ritual"
        "Truth":
            "Truth"
        "Ascension":
            "Ascension"
        "Death":
            "Death"
    scene bg leftwall
    with Dissolve(.5)
    show meklit at left
    with Dissolve(.5)
    m "What do you think it all means?"
    hide meklit
    with Dissolve(.5)
    menu:
        "The birth of and eventual triumph over an evil":
            show shae right at right
            with Dissolve(.5)
            s "Were the ancients to turn their power to war, the forces they could wield would be incomprehensible. And a foe worthy of their efforts... terrifying."
        "The creation of the world":
            show shae right at right
            with Dissolve(.5)
            s "It is possible the Precursors unlocked the ultimate mysteries of creation. If this is indeed what the murals show, it could be just the preamble to much greater secrets further in the ruins!"
        "Various ritual practices":
            show shae right at right
            with Dissolve(.5)
            s "We do not know what relationship they had to spirituality. Further, Rituals need not be religious, or even spiritual. Perhaps their sacred ceremonies were rooted in science?"
        "The story of their rise and triumphs":
            show shae right at right
            with Dissolve(.5)
            s "If this wall is meant to be read first or last, it could be their origin story. Notable moments from their long dominion over this world. The left-most glyph: the birth of their glorious willpower. The right-most: a final ascension?"
        "I don't know.":
            show shae right at right
            with Dissolve(.5)
            s "I cannot even fathom what this means. Every time, each ruin, the symbols are similar... but never consistent enough to be a practical alphabet or language..."

    scene bg fullroom
    with Dissolve(.5)
    if thirdwall:
        jump shae_afterwalls
    else:
        if secondwall:
            jump shae_transition02
        else:
            jump shae_transition01


label shae_door:

    scene bg doorwall01
    with Dissolve(.5)
    pause 2
    show meklit at left
    with Dissolve(.5)
    m "Waves, like the ebb and flow of the spirit world..."
    hide meklit
    with Dissolve(.5)
    "What comes to mind?"
    menu:
        "Void":
            "Void"
        "Creation":
            "Creation"
        "Knowledge":
            "Knowledge"
        "Cycles":
            "Cycles"
    scene bg doorwall02
    with Dissolve(.5)
    pause 2
    show kiiran at left
    with Dissolve(.5)
    k "Are those stars? Moons? More than are in our sky..."
    hide kiiran
    with Dissolve(.5)
    "What comes to mind?"
    menu:
        "Madness":
            "Madness"
        "Strength":
            "Strength"
        "War":
            "War"
        "Voyagers":
            "Voyagers"
    scene bg doorwall03
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "Revulsion":
            "Revulsion"
        "Life":
            "Life"
        "Fear":
            "Fear"
        "Mastery":
            "Mastery"
    scene bg doorwall04
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "Entropy":
            "Entropy"
        "Outsiders":
            "Outsiders"
        "Dream":
            "Dream"
        "Truth":
            "Truth"
    scene bg doorwall
    with Dissolve(.5)
    show kiiran at left
    k "Well? What does it mean?"
    hide kiiran
    menu:
        "A map of existence":
            show shae right at right
            with Dissolve(.5)
            s "Is this some kind of fundamental building block? A cypher? A fixed point in their way of experiencing the world which allowed them to explore untold possibilities?"
        "Rifts and the unknowns of the Flows":
            show shae right at right
            with Dissolve(.5)
            s "There is so much we don't know about the Flows. It's entirely possible that the Precursors could harness it in as yet incomprehensible ways! As a power source, obviously, but perhaps also as a means for instantaneous travel?"
        "The creation of life":
            show shae right at right
            with Dissolve(.5)
            s "The Precursors may have had an entirely different lifecycle to ours, one of their own deliberate choosing. This could be a record of that fact, or of their attempts to create new forms of life themselves."
        "A record of where they are now":
            show shae right at right
            with Dissolve(.5)
            s "Perhaps they're not a lost civilization. Perhaps they've simply moved on... travelled to distant worlds or new planes of reality. This may not even be a place... what if it was a time? Residing in a moment where they can enjoy peace and prosperity forever..."
        "I don't know.":
            show shae right at right
            with Dissolve(.5)
            s "My...my...research did not prepare me for the dream... how connected is that experience to these walls? ...I just need one more piece of the puzzle and I'm certain it would fall into place."

    scene bg fullroom
    with Dissolve(.5)
    if thirdwall:
        jump shae_afterwalls
    else:
        if secondwall:
            jump shae_transition02
        else:
            jump shae_transition01


label shae_right:

    scene bg rightwall01
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "Void":
            "Void"
        "Creation":
            "Creation"
        "Knowledge":
            "Knowledge"
        "Cycles":
            "Cycles"
    scene bg rightwall02
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "Madness":
            "Madness"
        "Strength":
            "Strength"
        "War":
            "War"
        "Voyagers":
            "Voyagers"
    scene bg rightwall03
    with Dissolve(.5)
    pause 2
    "What comes to mind?"
    menu:
        "Revulsion":
            "Revulsion"
        "Life":
            "Life"
        "Fear":
            "Fear"
        "Mastery":
            "Mastery"
    scene bg rightwall04
    with Dissolve(.5)
    pause 2
    show meklit at left
    with Dissolve(.5)
    m "A ritual to commune with the spirits, perhaps."
    hide meklit
    with Dissolve(.5)
    "What comes to mind?"
    menu:
        "Entropy":
            "Entropy"
        "Outsiders":
            "Outsiders"
        "Dream":
            "Dream"
        "Truth":
            "Truth"
    scene bg rightwall
    with Dissolve(.5)
    show meklit at left
    with Dissolve(.5)
    m "What would your interpretation of these images be, Shae Ohk-Qamar?"
    hide meklit
    with Dissolve(.5)
    menu:
        "The development of civilization":
            show shae right at right
            with Dissolve(.5)
            s "There's a reason they're called the Precursors. If only people knew just how much of their lives have been shaped by these incredible beings. Further, they point the way to what we may one day achieve ourselves."
        "Funerary rites or death mythology":
            show shae right at right
            with Dissolve(.5)
            s "Their advanced ways would have certainly given then a different perspective on death than we have, but by all accounts, ambiguous as.they are, the Precursors were mortal. That said, 'death' doesn't have to be a mortal one, it could be an ending of one life stage and the beginning of another."
        "Meeting outsiders":
            show shae right at right
            with Dissolve(.5)
            s "Who are these strange figures? There is a different creature in each image. Were there other races existing in the same era? Or maybe the Ancients travelled to other worlds, through the Flows, or otherwise. Then, they came back to Kelmspaar to record their encounters."
        "A list of trials and cautionary tales":
            show shae right at right
            with Dissolve(.5)
            s "The 'monsters' near the Precursors in each glyph could be metaphorical... stand-ins for social ills and dangers everyone must be aware of. Perhaps this was a place of education?"
        "I don't know.":
            show shae right at right
            with Dissolve(.5)
            s "I feel lost. There's so much here. Too much... If only we could translate their glyphs! I could try the Djanla method for... no that won't work, the number of glyphs isn't divisible by five."

    scene bg fullroom
    with Dissolve(.5)
    if thirdwall:
        jump shae_afterwalls
    else:
        if secondwall:
            jump shae_transition02
        else:
            jump shae_transition01


label shae_afterwalls:

    show shae right at right
    with Dissolve(.5)
    s "It's all still completely subjective." 
    hide shae
    with Dissolve(.5)
    "You sigh. You suddenly feel embarrassed at how little you know--how little *anyone* knows about the ancients."

    "There is something peculiar about the murals, though. The craft required to create those reliefs... no tool marks. And no erosion, either, after millenia. In this ruin *and* in the others... You think back to your experience in the other room. Everything was in motion in the dream, fluid. Suddenly it hits you."
    show shae right at right
    with Dissolve(.5)
    s "What if these aren't carvings? What if they are... pieces of a whole? Created in the rock by...a device? One that is no longer powered, but originally, these images... moved?" 

    "Your excitement rises again. You've never smiled more in your life. You start writing your next book in your head. Meklit and Kiiran stare at you with mouths agape, as if you had suddenly gone insane."

    s "In the dream sparked by the room...everything was in motion. And I saw some of these symbols dancing."
    show kiiran at left
    with Dissolve(.5)
    k "Well, I've been drunk enough to see a painting dance; you sure it wasn't something like that?"
    hide kiiran
    with Dissolve(.5)
    show meklit at left
    with Dissolve(.5)
    m "The spirit world is a place of constant change, motion..."
    s "There's only one way to find out more..." 
    "You swallow hard, and take a deep breath."
    hide meklit
    with Dissolve(.5)
    show kiiran at left
    with Dissolve(.5)
    k "Um, are you sure about this? As excited as I am to be rid of you, the boss was pretty specific on you not dying."
    hide kiiran
    with Dissolve(.5)
    show meklit at left
    with Dissolve(.5)
    m "If you feel like it is worth the risk, I will not stop you. But perhaps one of us should go in your stead and share the risk?"
    hide meklit
    with Dissolve(.5)
    show kiiran at left
    with Dissolve(.5)
    k "NOPE I'm not volunteering for that *at all.*"
    s "No, no. It should be me. I can put what I see together with the first... dream. And now that I've got this theory, I feel like I have to see this through, myself."
    hide kiiran
    with Dissolve(.5)
    "You steel yourself as best as you can, wish you had been more diligent in your meditations as a child. You step into the darkness again."

    play music "vision.mp3" fadeout 1
    pause 2
    scene ASCII 02
    with flash
    pause 5
    
    "Your sister laughs at you from behind the cosmos. *She* studied her meditations. Are the Precursors laughing at you, too? Suddenly you are assaulted by jeers from the deep gloom, beyond your reach, sight, reproach."
    pause 2

    "A popping sound. A crunching sound. You think your ears are bleeding. You hear nothing anymore. There are no columns this time. Only delightful little plinths! Waist-high. Above the nearest, the most sublime jewel floats."
    pause 2

    "A tiny creature lives in another plinth; it invites you inside. You don't want to bleed on the cushions. Your sister beckons, slipping back beyond the void. You rise to catch her, to pull back the curtain, but you only sink down. Down. Down."

    play sound "Bodyfall.wav"
    pause 2
    scene bg fullroom
    with Dissolve(.5)
    play music "tomb02.mp3" fadeout 1
    
    
    "A sharp smell wakes you. It burns your nostrils and intensifies your (already severe) headache."
    show shae right at right
    with Dissolve(.5)
    s "What IS that!?"
    show kiiran at left
    with Dissolve(.5)
    k "Old family remedy. Bootcleaner. Figured the faster you were ambulatory-like the less broken your brain would be."
    s "Thanks... ugh."
    hide kiiran
    with Dissolve(.5)
    "You wince through the pain. You wonder if it would've been easier to be comatose for just a little while."
    s "Wait. I have to go back. I was so close!" 
    "You start to clamour toward the passageway. So close. So close."
    show meklit at left
    with Dissolve(.5)
    m "Close to dying! You are *not* going back in there."
    hide meklit
    with Dissolve(.5)
    show kiiran at left
    with Dissolve(.5)
    k "I'm with Meklit. I don't know what you think you saw. You go in there one more time and I ain't going in after you. Whatever's addled your upstairs has done it's damage."
    hide kiiran
    with Dissolve(.5)
    "You stare at the doorway, longing to try one last time. You feel closer to a breakthrough than ever before. Even if the visions are from the Dreamscape, as Meklit believes, they still are providing insight into the ruins and symbols."
    "But your companions are correct; you know you can't handle another trip inside. You take a deep breath."
    s "Ok. It's done. We're... done here. We should think about heading back."
    show kiiran at left
    with Dissolve(.5)
    k "That sounds like a great idea; home is good."
    hide kiiran
    with Dissolve(.5)
    "Meklit looks at the doorway to the next room, lost in thought for a moment."
    show meklit at left
    with Dissolve(.5)
    m "So what will we report to Varsuun?"
    hide meklit
    with Dissolve(.5)



    menu:
        "It's a map":
            "The symbol above the door *did* seem carved, static, different. It showed something like a planetary alignment. There were other symbols in the murals, too, which showed something akin to charts, measurements, coordinates, keys." 
            "You feel the Precursors beckoning you across space and time. You look up, as if you the sky were open above you. For some reason, you feel sure that they left via the sky. But there were so many stars above the murals, and Kelemspar only has a few..."
            "Do the ancients now bask under a star-filled sky, somewhere far away? Mysteries upon mysteries."
        "It's a tomb":
            "Beyond merely the answers you seek, there is *something* of importance to the Precursors buried deeper within; you're sure of it. Is the Dreamscape's presence here a defense mechanism, protecting this tomb for countless generations?"
            "It may be an important figure, but it could just as easily be a weapon, or device... one too powerful to be left to the lesser races, your people. You feel humbled by this space, and your experiences within it. That was very likely the point."
        "It's a shrine":
            "You've seen enough to confirm your suspicions that this is indeed a ceremonial, social space--like a court or an arena for rites of passage. You imagine a Precursor acolyte standing in this very room, millenia ago, preparing for the trial that awaited them inside."
            "You're sure they would have fared much better than you have. If only you could bridge the gap and speak to them for one moment. But alas..."
        "It's a power source":
            "If ever a sufficient power source were discovered, or better yet the Precursor's power source itself, we might be able to restart the murals, prove your theory, and get a more complete picture of what they were trying to communicate."
            "Wait--no--that's it! In your dissertation you briefly postulated that they used the Flows as a power source, and given the strong merger between the ruins and the Dreamscape, perhaps this place is a *dynamo* of some kind."
            "You're sure Varsuun will be very interested to hear more about this theory. Perhaps enough to fund a new book and a return expedition... You grin."

    scene bg black
    with Dissolve(.5)

    "There is nothing left to do, here. The inner chamber will not be breached; perhaps it's for the best. But your job is done, the structure found, something learned. You will return to the islands of the Thron Sea to report to your patron."
    "The rest will be left in his hands, the memory of your strange dreams and the images carved into the stone all you take with you. Mysteries of the past. Now, you look to the future."


    jump end



label end:

    scene bg end
    with Dissolve(.5)
    pause 60
    ## This ends the game.

    return
